<?php

namespace App\Services\Interfaces;

use App\Models\Page;
use Illuminate\Http\Request;

interface PageRepositoryInterface
{
    public function get(Request $request);
    public function getItem(Page $partner);
    public function save(Request $request, ?Page $page): Page;
    public function destroy(Request $request, int $id): array;
    public function destroyAll(Request $request): array;
    public function restore(Request $request, int $id): array;
    public function restoreAll(Request $request): array;
}
